<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('documentacionesclientes', function (Blueprint $table) {
            $table->id();
            $table->timestamps();
            $table->string('nombre');
            $table->string('mime_type');
            $table->bigInteger('tamanio_bytes');
            $table->string('extension');

            $table->foreignId('cliente_id')
                  ->constrained('clientes')
                  ->onDelete('cascade');
            $table->foreignId('profesional_id')
                  ->constrained('profesionales')
                  ->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('documentacionesclientes');
    }
};
